Subject: Your subscription for zhealth-mgmt mailing list has been disabled
From: <[email-masked]>
To: <[email-masked]>
Date: Fri, 13 Mar 2026 15:33:35 +0000
List-Id: <zhealth-mgmt.imperial.ac.uk>

Your subscription has been disabled on the [email-masked] mailing list
because it has received a number of bounces indicating that there may
be a problem delivering messages to [email-masked].  You may want to
check with your mail administrator for more help.

If you have any questions or problems, you can contact the mailing
list owner at

    [email-masked]